﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Common
{
   public class BindableEnum
   {
      public BindableEnum(Object value, string caption, IEnumerable<BindableEnum> parentList)
      {
         _parentList = parentList;
         EnumValue = value;
         Caption = caption;
      }

      private IEnumerable<BindableEnum> _parentList;

      public Object EnumValue { get; private set; }
      public string Caption { get; private set; }

      public bool IsFirst
      { get { return (this == _parentList.First()); } }

      public bool IsLast
      { get { return (this == _parentList.Last()); } }

      public override string ToString()
      {
         return Caption;
      }
   }
}
