﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.Composition;

namespace Common
{
   public enum ComparisonOperator
   {
      Equals = 0,
      GreaterThan,
      GreaterThanOrEqual,
      LessThanOrEqual,
      LessThan,
      NotEqual
   }

   [EnumWrapper(typeof(ComparisonOperator))]
   public class ComparisonOperatorWrapper : EnumWrapper<ComparisonOperator>
   {
      protected override string GetCaption(string fieldName)
      {
         switch (fieldName)
         {
            case "GreaterThan":
               return "greater than (>)";
            case "GreaterThanOrEqual":
               return "greater than or equal (>=)";
            case "LessThanOrEqual":
               return "less than or equal (<=)";
            case "LessThan":
               return "less than (<)";
            case "Equals":
               return "equal (=)";
            case "NotEqual":
               return "not equal (<>, !=)";
            default:
               return base.GetCaption(fieldName);
         }
      }
   }
}
