﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.Composition;

namespace Common
{
   public interface IEnumWrapper
   { 
      IEnumerable<BindableEnum> BindableEnums { get; }
      string EnumToString(object value);
      object StringToEnum(string value);
   }

   public interface IEnumWrapperExportMetadata
   { Type TargetType { get; } }

   [MetadataAttribute]
   [AttributeUsage(AttributeTargets.Class, AllowMultiple = false)]
   public class EnumWrapperAttribute : ExportAttribute, IEnumWrapperExportMetadata
   {
      public EnumWrapperAttribute(Type targetType)
         : base(typeof(IEnumWrapper))
      { TargetType = targetType; }

      public Type TargetType { get; private set; }
   }
}
